using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities
{
    public partial class FmsConstructionCodeProgress
    {
        public FmsConstructionCodeProgress()
        {
            FmsConstruction = new HashSet<FmsConstruction>();
        }

        [Key]
        public short ProgressId { get; set; }
        [Required]
        [StringLength(24)]
        public string Name { get; set; }
        [StringLength(100)]
        public string Description { get; set; }

        [InverseProperty("Progress")]
        public virtual ICollection<FmsConstruction> FmsConstruction { get; set; }
    }
}
